2018/9/26
CSL\CMSIS\DeviceSupport\SWM190.h文件中struct RTC_TypeDef定义中LOAD寄存器添加位定义
CSL\SWM190_StdPeriph_Driver\SWM190_rtc.c文件中RTC_Init()、RTC_AlarmSetup()中RTC->LOAD寄存器操作修正

2018/10/19
CSL\SWM190_StdPeriph_Driver\SWM190_adc.c文件中ADC_IntEOCEn()函数中将
ADCx->IE |= (0x01 << (idx*4));
改为：
ADCx->IE |= (0x01 << (idx*2));
其后七个相关函数也有类似修正

2018/10/30
CSL\SWM190_StdPeriph_Driver\SWM190_spi.c文件中SPI_Init()函数中将
((initStruct->RXThreshold-1) << SPI_CTRL_RFTHR_Pos)  |
改正为：
((initStruct->RXThreshold > 0 ? initStruct->RXThreshold-1 : 0) << SPI_CTRL_RFTHR_Pos)  |

2018/12/28
CSL\SWM190_StdPeriph_Driver\SWM190_uart.c文件中 UART_IsTXBusy() 函数代码由
return (UARTx->CTRL & UART_CTRL_TXIDLE_Msk) ? 0 : 1;
改正为：
if(UARTx->FIFO & UART_FIFO_TXLVL_Msk)
{
	return 1;
}
else
{
	if(((UARTx->BAUD & UART_BAUD_TXD_Msk) == 0) || ((UARTx->CTRL & UART_CTRL_TXIDLE_Msk) == 0))
		return 1;
	else
		return 0;
}

2019/01/11
CSL\CMSIS\DeviceSupport\startup\arm\startup_SWM190.s 文件添加QSPI模式切换代码

2019/01/16
Timr Hall功能输入切换到其他引脚，添加输入引脚状态寄存器
UART添加波特率小数分频，输入、输出引脚可分别翻转电平；超时功能增加模式选择、扩展最长超时时间

2019/01/17
CSL\CMSIS\DeviceSupport\SWM190.h文件中 DIV->CR 寄存器添加 SIGN 位
CSL\SWM190_StdPeriph_Driver\SWM190_div.h文件中，将DIV_Div() 分成 DIV_UDiv() 和 DIV_SDiv()

2019/02/13
CSL\SWM190_StdPeriph_Driver\SWM190_exti.c 文件中 EXTI_RawState() 中，将
return (GPIOx->INTRAWSTAT >> 1) & 0x01;
修正为：
return (GPIOx->INTRAWSTAT >> n) & 0x01;

2019/02/13
CSL\SWM190_StdPeriph_Driver\SWM190_gpio.c 文件中，将
bits = 0xFFFFFF >> (24 - w);
修正为：
bits = 0xFFFF >> (16 - w);

2019/02/14
CSL\SWM190_StdPeriph_Driver\SWM190_uart.c 文件中，UART_SetBaudrate()修正，添加小数分频

2019/03/04
CSL\SWM190_StdPeriph_Driver\SWM190_i2c.c 文件中，I2C_Init()中将：
if(initStruct->MstIEn)  I2Cx->MSTCR &= ~(1 << I2C_MSTCR_IE_Pos);
else                    I2Cx->MSTCR |=  (1 << I2C_MSTCR_IE_Pos);
修正为：
if(initStruct->MstIEn)  I2Cx->MSTCR |=  (1 << I2C_MSTCR_IE_Pos);
else                    I2Cx->MSTCR &= ~(1 << I2C_MSTCR_IE_Pos);

CSL\SWM190_StdPeriph_Driver\SWM190_timr.c 文件中，TIMR_INTClr()中将：
TIMRx->IF |= (1 << TIMR_IF_TO_Pos);
修正为：
TIMRx->IF = (1 << TIMR_IF_TO_Pos);

CSL\SWM190_StdPeriph_Driver\SWM190_uart.c 文件中，UART_GetBaudrate()中将：
return (UARTx->BAUD & UART_BAUD_BAUD_Msk);
修正为：
return SystemCoreClock/(((UARTx->BAUD & UART_BAUD_BAUD_Msk) >> UART_BAUD_BAUD_Pos) * 16 +
                        ((UARTx->BAUD & UART_BAUD_FRAC_Msk) >> UART_BAUD_FRAC_Pos) + 1);

CSL\SWM190_StdPeriph_Driver\SWM190_port.h 文件中，将：
#define PORTB_PIN15_SPI0_SCLK	1
修正为：
#define PORTB_PIN15_I2C0_SCL	1
